6.0.0-git
2021-01-19

[#6654] Email sanity checks in 'Personal Information' settings
Summary Email sanity checks in 'Personal Information' settings
Queue IMP
Queue Version 4.1.4
Type Bug
State Resolved
Priority 1. Low
Owners chuck (at) horde (dot) org
Requester brana (at) ualberta (dot) ca
Created 2008-04-25 (4652 days ago)
Due
Updated 2008-05-24 (4623 days ago)
Assigned 2008-05-13 (4634 days ago)
Resolved 2008-05-24 (4623 days ago)
Milestone
Patch No

History
2008-05-24 02:39:31 Chuck Hagenbuch Comment #12
Assigned to Chuck Hagenbuch
Taken from Horde DevelopersHorde Developers
State ⇒ Resolved
Reply to this comment
Done.
2008-05-13 07:43:50 Jan Schneider Comment #11
Assigned to Horde DevelopersHorde Developers
State ⇒ Assigned
Reply to this comment
Yes, that should be fine. Patches welcome.
2008-05-12 20:54:19 Chuck Hagenbuch Comment #10 Reply to this comment
Would that be something we can do under the feature freeze?
2008-05-12 19:34:40 Chuck Hagenbuch Comment #9 Reply to this comment
I think we should put the non-To: addresses through 
horde_form_type_email's validate method.
2008-05-12 19:21:08 brana (at) ualberta (dot) ca Comment #8 Reply to this comment
Yes, at least for the reply-to field. The problem is that if a user 
enters a mis-formatted reply-to address then all replies are bounced 
and, of course, the user has no idea why he's not receiving any mail. 
A simple check to ensure proper formatting (e.g no spaces) would be 
useful to protect users from their own mistakes and spare us from time 
wasted digging through mail logs to determine the problem.


2008-05-11 22:00:22 Matt Selsky Comment #7 Reply to this comment
I think reply-to should be checked as well, since it's more like 
from_addr than that other two.
2008-05-11 21:55:36 Jan Schneider Comment #6 Reply to this comment
I tend to think that this might be too much for a sanity check. The 
purpose of the existing check is to make sure that users can set fake 
sender addresses. This has nothing to do with recipient addresses.
2008-04-25 23:37:17 brana (at) ualberta (dot) ca Comment #5 Reply to this comment
If that email confirmation could be applied to the other fields as 
well that'd be great. I think there should be some form of email 
address validation wherever a user is able to enter an email address. 
Cheers.


2008-04-25 23:11:31 Chuck Hagenbuch Comment #4 Reply to this comment
Looks like it's just from_addr.
2008-04-25 20:08:22 brana (at) ualberta (dot) ca Comment #3 Reply to this comment
Does that apply to the other 3 fields as well (alias, reply-to and bcc)?
2008-04-25 19:02:42 Chuck Hagenbuch Comment #2
State ⇒ Feedback
Reply to this comment
Horde 3.2 has a configuration setting to require email confirmation of 
from addresses ($conf['user']['verify_from_addr']). Is that sufficient?
2008-04-25 18:11:02 brana (at) ualberta (dot) ca Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Email sanity checks in 'Personal Information' settings
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
Ok, I'm submitting this again because the last couple times I 
submitted I was taken back to the create a new ticket screen without 
confirmation of the submission and a ticket search returned nothing..



In the Personal Information settings users are able to successfully 
enter mis-formatted email addresses, e.g. "xyz@te st.com", with a 
blank space in the address. This happens in the following fields: 
from, reply-to, alias, bcc.



We're in the process of setting up IMP 4.2 therefore we havent been 
able to test in that version yet.






Saved Queries